
:root {
  --yellow: hsl(47, 88%, 63%);
  --white: hsl(0, 0%, 100%);
  --gray-500: hsl(0, 0%, 42%);
  --gray-950: hsl(0, 0%, 7%);
}

body {
  margin: 0;
  padding: 0;
  min-height: 100vh;
  background-color: var(--yellow);   
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: 'Arial', sans-serif;
}


.card {
  background: var(--white);
  border-radius: 15px;
  box-shadow: 8px 8px 0px var(--gray-950); 
  width: 100%;
  max-width: 375px;
  overflow: hidden;
  border: 1px solid var(--gray-950);
  transition: transform 0.3s ease; 
  box-sizing: border-box;
  padding: 15px; /* fix the issue */

.card:hover {
  transform: scale(1.05); 
}


.card img {
  width: 100%;
  height: auto; 
  border-radius: 16px;
  overflow: hidden;
  border: 1px solid #ccc;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  max-height: 200px; 
  object-fit: cover; 
  display: block;
  margin: 0 auto; 
}

.card img:hover {
  transform: scale(1.05); 
}


.card-content {
  padding: 20px;
}

.badge {
  background-color: var(--yellow);
  color: var(--gray-950);
  padding: 5px 10px;
  font-size: 12px;
  border-radius: 5px;
  font-weight: bold;
}

.date {
  font-size: 12px;
  color: var(--gray-500);
  margin-top: 10px;
  transition: color 0.3s ease; 
}

.date:hover {
  color: var(--yellow); 
}

h2 {
  margin-top: 10px;
  font-size: 20px;
  color: var(--gray-950);
  transition: color 0.3s ease; 
}

h2:hover {
  color: var(--yellow); 
}

.description {
  font-size: 14px;
  color: var(--gray-500);
  margin-top: 10px;
  transition: color 0.3s ease; 
}

.description:hover {
  color: var(--yellow); 
}

.author {
  display: flex;
  align-items: center;
  margin-top: 20px;
}

.author-img {
  width: 20px;
  height: 20px;
  border-radius: 100%;
  object-fit: cover;
  margin-right: 10px;
}




@media (min-width: 768px) {
  .card {
    max-width: 400px;
  }
}


@media (min-width: 1440px) {
  .card {
    max-width: 450px;
  }
}
